List Timeline Entries
Lists the timeline entries for an object.
Lists the timeline entries for an object.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
The ID of the object to list timeline entries for.
idThe collection(s) to list entries from, otherwise if not provided, all entries are returned.
Filters for objects created after the provided timestamp (inclusive).
date-timeFilters for objects created before the provided timestamp (inclusive).
date-timeThe cursor to resume iteration from. If not provided, then iteration starts from the beginning.
textFilters for entries containing at least one of the provided labels, otherwise if no labels are provided, then no label filtering is done.
1 <= length <= 64The maximum number of entries to return. Note that fewer (possibly zero) entries may be returned even if there are more entries, where the returned cursor(s) are guaranteed to be updated.
int32The iteration mode to use, otherwise if not set, then "after" is used.
"after" | "before"Filters for entries to be displayed on the provided panel(s).
The visibility of the timeline entries to filter for. Note this is a strict filter, such that only entries with the exact visibilities specified will be returned.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/timeline-entries.list?object=PROD-12345"{
"next_cursor": "string",
"prev_cursor": "string",
"timeline_entries": [
{
"type": "timeline_change_event",
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"external_ref": "string",
"labels": [
"string"
],
"object": "string",
"object_display_id": "string",
"object_type": "account",
"panels": [
"alerts"
],
"reactions": [
{
"emoji": "string",
"reacted": true,
"total_users": 0
}
],
"sync_metadata": {
"external_record_id": "string",
"external_record_type": "string",
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"last_sync_out": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
},
"thread": {
"total_replies": 0
},
"visibility": "external",
"event": {
"type": "annotated",
"created": {
"object": {
"type": "account",
"display_id": "string",
"id": "string",
"display_name": "string"
}
},
"deleted": {
"object_id": "string"
},
"linked": {
"link": {
"display_id": "string",
"id": "string",
"link_type": "custom_link",
"source": {
"type": "account",
"display_id": "string",
"id": "string",
"display_name": "string"
},
"sync_metadata": {
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
},
"target": {
"type": "account",
"display_id": "string",
"id": "string",
"display_name": "string"
}
}
},
"updated": {
"field_deltas": [
{
"field_descriptor": {
"field_type": "array",
"description": "string",
"is_filterable": true,
"is_immutable": true,
"is_pii": true,
"is_required": true,
"mfz": {},
"name": "string",
"oasis": {},
"origin": "string",
"ui": {
"client_overrides": [
{
"client_name": "string",
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_overrides": [
{
"decimal_places": 0,
"display_name": "string",
"is_groupable": true,
"is_hidden": true,
"is_required": true,
"order": 0,
"placeholder": "string",
"search_query": "string",
"tooltip": "string",
"use_shorthand_notation": true,
"view_name": "string"
}
]
}
],
"create_view": {
"is_hidden": true
},
"decimal_places": 0,
"detail_view": {
"is_hidden": true
},
"display_name": "string",
"filter_view": {
"is_hidden": true
},
"group_name": "string",
"is_active_in_detail_view": true,
"is_bulk_action_enabled": true,
"is_currency_field": true,
"is_groupable": true,
"is_hidden": true,
"is_hidden_during_create": true,
"is_read_only": true,
"is_required": true,
"is_shown_in_summary": true,
"is_sortable": true,
"list_view": {
"is_hidden": true
},
"order": 0,
"placeholder": "string",
"search_query": "string",
"summary_view": {
"is_hidden": true
},
"tooltip": "string",
"unit": "string",
"use_shorthand_notation": true
},
"default_value": true
},
"name": "string",
"new_value": {
"type": "bool",
"display_value": "string",
"value": true
},
"old_value": {
"type": "bool",
"display_value": "string",
"value": true
}
}
],
"object_type": "string"
}
}
}
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden"
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}